HamletSpec.LinkType (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, enum: LinkType

Package org.apache.hadoop.yarn.webapp.hamlet2

# Enum Class HamletSpec.LinkType

java.lang.Object
java.lang.Enum<HamletSpec.LinkType>
org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.LinkType

All Implemented Interfaces:
  `Serializable`, `Comparable<HamletSpec.LinkType>`, `Constable`

Enclosing class:
  HamletSpec

public static enum HamletSpec.LinkType extends Enum<HamletSpec.LinkType>
%LinkTypes (case-insensitive)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `alternate`
  `appendix`
  `bookmark`
  `chapter`
  `contents`
  `copyright`
  `glossary`
  `help`
  `index`
  `next`
  `prev`
  `section`
  `start`
  `stylesheet`
  `subsection`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HamletSpec.LinkType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HamletSpec.LinkType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### alternate

    public static final HamletSpec.LinkType alternate

  - ### stylesheet

    public static final HamletSpec.LinkType stylesheet

  - ### start

    public static final HamletSpec.LinkType start

  - ### next

    public static final HamletSpec.LinkType next

  - ### prev

    public static final HamletSpec.LinkType prev

  - ### contents

    public static final HamletSpec.LinkType contents

  - ### index

    public static final HamletSpec.LinkType index

  - ### glossary

    public static final HamletSpec.LinkType glossary

  - ### copyright

    public static final HamletSpec.LinkType copyright

  - ### chapter

    public static final HamletSpec.LinkType chapter

  - ### section

    public static final HamletSpec.LinkType section

  - ### subsection

    public static final HamletSpec.LinkType subsection

  - ### appendix

    public static final HamletSpec.LinkType appendix

  - ### help

    public static final HamletSpec.LinkType help

  - ### bookmark

    public static final HamletSpec.LinkType bookmark

- ## Method Details

  - ### values

    public static HamletSpec.LinkType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HamletSpec.LinkType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null